| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Functions
jdhuff.c File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`
`#include "jdhuff.h"`

Go to the source code of this file.

## Classes
struct | savable_state
struct | huff_entropy_decoder

## Macros
#define | JPEG_INTERNALS
#define | ASSIGN_STATE(dest, src) ((dest) = (src))
#define | MIN_GET_BITS (BIT_BUF_SIZE-7)
#define | HUFF_EXTEND(x, s) ((x) < extend_test[s] ? (x) + extend_offset[s] : (x))

## Typedefs
typedef huff_entropy_decoder * | huff_entropy_ptr

## Functions
| start_pass_huff_decoder (j_decompress_ptr cinfo)
| jpeg_make_d_derived_tbl (j_decompress_ptr cinfo, boolean isDC, int tblno, d_derived_tbl **pdtbl)
| jpeg_fill_bit_buffer (bitread_working_state *state, register bit_buf_type get_buffer, register int bits_left, int nbits)
| jpeg_huff_decode (bitread_working_state *state, register bit_buf_type get_buffer, register int bits_left, d_derived_tbl *htbl, int min_bits)
| process_restart (j_decompress_ptr cinfo)
| decode_mcu (j_decompress_ptr cinfo, JBLOCKROW *MCU_data)
| jinit_huff_decoder (j_decompress_ptr cinfo)

## Macro Definition Documentation

#define ASSIGN_STATE | ( |  | dest,
|  |  | src
| ) |  | ((dest) = (src))

Definition at line 40 of file jdhuff.c.

#define HUFF_EXTEND | ( |  | x,
|  |  | s
| ) |  | ((x) < extend_test[s] ? (x) + extend_offset[s] : (x))

Definition at line 447 of file jdhuff.c.

#define JPEG_INTERNALS

Definition at line 17 of file jdhuff.c.

#define MIN_GET_BITS (BIT_BUF_SIZE-7)

Definition at line 287 of file jdhuff.c.

## Typedef Documentation

typedef huff_entropy_decoder* huff_entropy_ptr

Definition at line 78 of file jdhuff.c.

## Function Documentation

decode_mcu | ( | j_decompress_ptr | cinfo,
|  | JBLOCKROW * | MCU_data
| ) |  |

Definition at line 517 of file jdhuff.c.

jinit_huff_decoder | ( | j_decompress_ptr | cinfo | ) |

Definition at line 635 of file jdhuff.c.

jpeg_fill_bit_buffer | ( | bitread_working_state * | state,
|  | register bit_buf_type | get_buffer,
|  | register int | bits_left,
|  | int | nbits
| ) |  |

Definition at line 292 of file jdhuff.c.

jpeg_huff_decode | ( | bitread_working_state * | state,
|  | register bit_buf_type | get_buffer,
|  | register int | bits_left,
|  | d_derived_tbl * | htbl,
|  | int | min_bits
| ) |  |

Definition at line 398 of file jdhuff.c.

jpeg_make_d_derived_tbl | ( | j_decompress_ptr | cinfo,
|  | boolean | isDC,
|  | int | tblno,
|  | d_derived_tbl ** | pdtbl
| ) |  |

Definition at line 149 of file jdhuff.c.

process_restart | ( | j_decompress_ptr | cinfo | ) |

Definition at line 468 of file jdhuff.c.

start_pass_huff_decoder | ( | j_decompress_ptr | cinfo | ) |

Definition at line 86 of file jdhuff.c.